質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

解決済

rails new でアプリを作成しようとしてもエラーが出てしまう。

leomessi
leomessi

総合スコア6

Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

3回答

0評価

0クリップ

428閲覧

投稿2021/11/06 09:18

編集2021/11/06 14:58

ターミナルからrails new アプリ名 でアプリを作成しようとしても以下のような文言が出てしまう。

手順としては
1 新しくrails_newというファイルを作る。
2 ターミナルのrails_newのdirectory内でgem install bundlerを行う。
3 bundle initをターミナルで実行し、できたGemfileでgem "rails"を入力しファイルを保存する。
4 bundle install --path vendor/bundleをターミナルで実行。その後に以下の様なエラーが出る。ファイルは作成される。

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

5 そのままrails new . をターミナルで実行すると以下の様な文が出るのでaを押して先ほどと同じエラーが出る。

Overwrite /Users/ユーザー名/rails_new/Gemfile?

6 そのままサーバーを起動しようとすると以下の様なエラーが出される。

Could not find gem 'rails (~> 6.0.3, >= 6.0.3.4)' in locally installed gems. Run `bundle install` to install missing gems.

試したことは、この二つを試しましたが、その下のようなエラーが出てしまいます。

1.sudo bundle install 2.bundle install --path=vendor/bundle
An error occurred while installing msgpack (1.4.2), and Bundler cannot continue.

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。